"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BITS_U = exports.BITS_F = exports.HDR_TOTAL_SIZE = exports.HDR_ENTRY_SIZE = exports.HDR_ENTRY_NUM = exports.KEY_PARTS_SIZE = exports.KEY_TOTAL_SIZE = exports.KEY_DATA_SIZE = exports.UINT_SIZE = exports.U32_SIZE = void 0;
// Copyright 2017-2019 @polkadot/client-db authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
// 4 allows for 4,294,967,296
const U32_SIZE = 4;
exports.U32_SIZE = U32_SIZE;
const UINT_SIZE = 5; // key calculations

exports.UINT_SIZE = UINT_SIZE;
const KEY_DATA_SIZE = 32;
exports.KEY_DATA_SIZE = KEY_DATA_SIZE;
const KEY_TOTAL_SIZE = KEY_DATA_SIZE + U32_SIZE + UINT_SIZE; // the size of the parts
// const KEY_PARTS_SIZE = ((KEY_DATA_SIZE - 1) * 2) + 1; // 16 entries = nibbles

exports.KEY_TOTAL_SIZE = KEY_TOTAL_SIZE;
const KEY_PARTS_SIZE = KEY_DATA_SIZE * 2; // 16 entries = nibbles
// the number of entries in a header

exports.KEY_PARTS_SIZE = KEY_PARTS_SIZE;
const HDR_ENTRY_NUM = 16; // 16 = 4 bits
// first byte for the type, followed by offset

exports.HDR_ENTRY_NUM = HDR_ENTRY_NUM;
const HDR_ENTRY_SIZE = U32_SIZE; // the size of a branch entry

exports.HDR_ENTRY_SIZE = HDR_ENTRY_SIZE;
const HDR_TOTAL_SIZE = HDR_ENTRY_NUM * HDR_ENTRY_SIZE; // bits for flagging

exports.HDR_TOTAL_SIZE = HDR_TOTAL_SIZE;
const BITS_F = 0b10000000000000000000000000000000;
exports.BITS_F = BITS_F;
const BITS_U = 0b01111111111111111111111111111111;
exports.BITS_U = BITS_U;